Loading...
Searching...
No Matches
casacore::MSSourceEnums Class Reference
ms package (libcasa_ms) » MeasurementSets_module

Enums for the MeasurementSet SOURCE table. More...

`#include <MSSourceEnums.h>`

## Public Types

enum | PredefinedColumns { UNDEFINED_COLUMN , CALIBRATION_GROUP , CODE , DIRECTION , INTERVAL , NAME , NUM_LINES , PROPER_MOTION , SOURCE_ID , SPECTRAL_WINDOW_ID , TIME , NUMBER_REQUIRED_COLUMNS , POSITION , PULSAR_ID , REST_FREQUENCY , SOURCE_MODEL , SYSVEL , TRANSITION , NUMBER_PREDEFINED_COLUMNS }
| The Antenna table colums with predefined meaning. More...
enum | PredefinedKeywords { UNDEFINED_KEYWORD , NUMBER_PREDEFINED_KEYWORDS }
| Keywords with a predefined meaning. More...

## Detailed Description

Enums for the MeasurementSet SOURCE table.

### Intended use:

Public interface

### Review Status

Reviewed By:
  UNKNOWN
Date Reviewed:
  before2004/08/25

### Etymology

This class contains the enums for the MeasurementSet SOURCE table

### Synopsis

This class does nothing. It is merely a container for the enumerations used by the MSSource class. These enumerations define the standard columns, keywords.

### Example

See the documentation for MeasurementSet for examples on the use of these enumerations.

Definition at line 57 of file MSSourceEnums.h.

## Member Enumeration Documentation

## PredefinedColumns

enum casacore::MSSourceEnums::PredefinedColumns

The Antenna table colums with predefined meaning.

Keys: SPECTRAL_WINDOW_ID, INTERVAL, TIME, SOURCE_ID

Enumerator
UNDEFINED_COLUMN | "True" columns are defined. TYPE - UNIT - MEASURE
CALIBRATION_GROUP | Number of grouping for calibration purpose. Int.
CODE | Special characteristics of source, e.g. Bandpass calibrator. We need to define a standard set that can be used for automated data reduction.. String.
DIRECTION | Direction (e.g. RA, DEC). Double(2) - rad - DIRECTION.
INTERVAL | Interval of time for which this set of parameters is accurate. Double - s
NAME | Name of source as given during observations. String.
NUM_LINES | Number of spectral lines Int.
PROPER_MOTION | Proper motion. Double(2) - rad/s - ?.
SOURCE_ID | Source id. Int.
SPECTRAL_WINDOW_ID | Spectral window id. Int.
TIME | Midpoint of time for which this set of parameters is accurate. Double - s - EPOCH.
NUMBER_REQUIRED_COLUMNS | Number of required columns.
POSITION | Position (e.g. for solar system objects. Double(3) - m - POSITION.
PULSAR_ID | Pulsar Id Int.
REST_FREQUENCY | Line rest frequency Double(NUM_LINES) - Hz - Frequency.
SOURCE_MODEL | Default Component Source Model TableRecord.
SYSVEL | Systemic velocity at reference. Double(NUM_LINES) - m/s - RADIALVELOCITY.
TRANSITION | Transition name String(NUM_LINES).
NUMBER_PREDEFINED_COLUMNS | Not a column, but just a final enum specifying the number of enums.

Definition at line 61 of file MSSourceEnums.h.

## PredefinedKeywords

enum casacore::MSSourceEnums::PredefinedKeywords

Keywords with a predefined meaning.

Enumerator
UNDEFINED_KEYWORD | "True" keywords are defined.
NUMBER_PREDEFINED_KEYWORDS | Not a keyword, but just a final enum specifying the number of enums.

Definition at line 122 of file MSSourceEnums.h.

The documentation for this class was generated from the following file:

- ms/MeasurementSets/MSSourceEnums.h